cURL
curl --request GET \
--url https://api.soca.ai/v1/session/chat/{agent_id}/{session_id} \
--header 'private_key: <api-key>'import requests
url = "https://api.soca.ai/v1/session/chat/{agent_id}/{session_id}"
headers = {"private_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {private_key: '<api-key>'}};
fetch('https://api.soca.ai/v1/session/chat/{agent_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": "<string>",
"answers": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"doc_source": [
"<string>"
],
"chart": [
{}
],
"files": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"files": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>",
"status": true
}{
"message": "<string>",
"status": true
}Sessions
Detail Session
Retrieves the paginated chat history of a specific session for an agent.
GET
/
session
/
chat
/
{agent_id}
/
{session_id}
cURL
Authorizations
Path Parameters
The unique identifier of a Soca AI agent created in the Studio.
Identifier of the specific session.
⌘I